export declare class Pagination<TItem> {
    currentPage: TItem[];
    currentPageNumber: number;
    items: TItem[];
    limit: number;
    onPageChange: Function;
    pageCount: number[];
    serverSide: boolean;
    constructor(items?: TItem[], limit?: number);
    static isInRange(pageNumber: number, pageCount: number[]): boolean;
    static getPagesCount(itemsLength: number, limit: number): number[];
    isCurrent(pageNumber: number): boolean;
    isInRange(pageNumber: number): boolean;
    getPage(pageNumber: number): TItem[];
    getPageFirst(): TItem[];
    getPageLast(): TItem[];
    getPageNext(): TItem[];
    getPagePrev(): TItem[];
    getPagesCount(): number[];
    setLimit(limit: number): void;
    setPagesCount(pages: number): void;
    setPageItems(items: TItem[]): void;
}
