'use strict';

var fs = require('fs');
var path = require('path');
var tsconfig = require('./tsconfig.json');

var dtsDir = path.join(process.cwd(), './d.ts');
var dtsIndex = path.join(dtsDir, './index.d.ts');
var files = [];

readdirRecursive(dtsDir);

files = files.filter(function (filepath) {
  return !~filepath.indexOf('node_modules');
})

files = files.map(function (filepath) {
  filepath = reparseFilepath(filepath);
  console.log('Adding path '+ filepath +' to index.d.ts');
  return [
    'declare module "'+ filepath +'";'
  , 'export * from "'+ filepath +'";'
  ].join('\n');
});

fs.writeFileSync(dtsIndex, files.join('\n'));

console.info('index.d.ts parsed.');

function readdirRecursive(dirname) {
  if(fs.existsSync(dirname) ) {
    fs.readdirSync(dirname).forEach(function (file) {
      var curPath = path.join(dirname, './'+ file);
      if (fs.lstatSync(curPath).isDirectory()) {
        readdirRecursive(curPath);
      } else {
        files.push(curPath);
      }
    });
  }
}

function reparseFilepath(filepath) {
  return filepath.replace(dtsDir, 'ride-components-react').replace('.d.ts', '');
}
