import { app } from 'ride-components/dist/ts/css/app';
import { AppAside } from './aside';
import { AppContent } from './content';
import * as React from 'react';

export interface IAppProperties {
  /**
   * aside component
   */
  aside?: any;
  /**
   * aside component colour
   * @type {string}
   */
  asideColor?: string;
  /**
   * aside title
   * @type {string}
   */
  asideTitle?: string;
  /**
   * aside title color
   * @type {string}
   */
  asideTitleColor?: string;
  /**
   * content component
   */
  content?: any;
  /**
   * content colour
   * @type {string}
   */
  contentColor?: string;
  /**
   * content title
   * @type {string}
   */
  contentTitle?: string;
  /**
   * toolbar component content
   * @type {string}
   */
  contentToolbar?: any;
  /**
   * toolbar color
   * @type {string}
   */
  contentToolbarColor?: string;
}

export class App extends React.Component<IAppProperties, {}> {
  public render() {
    let Aside = this.props.aside;
    let Content = this.props.content || this.props.children;
    return (
      <div className={app}>
        <AppAside color={this.props.asideColor} title={this.props.asideTitle} titleColor={this.props.asideTitleColor}>
          <Aside/>
        </AppAside>
        <AppContent color={this.props.contentColor} title={this.props.contentTitle} toolbar={this.props.contentToolbar} toolbarColor={this.props.contentToolbarColor}>
          <Content/>
        </AppContent>
      </div>
    )
  }
}
