import { AppAsideTitle } from './title';
import { capitalizeFirst } from '../../utilities/string';
import { CssClassList } from '../../classes/css';
import * as appCss from 'ride-components/dist/ts/css/app';
import * as React from 'react';

export interface IAppAsideProperties {
  /**
   * app aside color
   * @type {string}
   */
  color?: string;
  /**
   * app aside title
   * @type {string}
   */
  title?: string;
  /**
   * app aside title color
   * @type {string}
   */
  titleColor?: string;
}

export class AppAside extends React.Component<IAppAsideProperties, any> {
  public static Title = AppAsideTitle;

  public render() {
    let _css = new CssClassList(appCss.app__aside);
    _css.add(
      this.props.color
      ? appCss[appCss.app__aside + capitalizeFirst(this.props.color)]
      : appCss.app__asideWhite
    )
    return (
      <aside className={_css.toString()}>
        <AppAsideTitle color={this.props.titleColor}>{this.props.title}</AppAsideTitle>
        {this.props.children}
      </aside>
    )
  }
}
