import * as appCss from 'ride-components/dist/ts/css/app';
import { capitalizeFirst } from '../../utilities/string';
import * as React from 'react';

export interface IAppAsideTitleProperties {
  /**
   * app aside title color
   * @type {string}
   */
  color?: string;
}

export class AppAsideTitle extends React.Component<IAppAsideTitleProperties, {}> {
  public render() {
    let _css = [appCss.app__title];
    _css.push(
      this.props.color
      ? appCss[appCss.app__title + capitalizeFirst(this.props.color)]
      : appCss.app__titleBlue
    );
    return (
      this.props.children ? <div className={_css.join(' ')}>{this.props.children}</div> : null
    )
  }
}
