import { Button, IButtonProps } from './button';
import { CssClassList } from '../../classes/css';
import { IListProperties } from '../lists/list';
import * as css from 'ride-components/dist/ts/css/list';
import * as React from 'react';

export interface IButtonListItemProps extends IButtonProps {
  current?: string;
}

export class ButtonListItem extends React.Component<IButtonListItemProps, {}> {
  public render() {
    let color = this.props.current ? this.props.current : this.props.color;
    return (
      <Button
        block={this.props.block}
        color={color}
        hollow={this.props.hollow}
        icon={this.props.icon}
        onClick={this.props.onClick}
        onTouchEnd={this.props.onTouchEnd}
        onTouchStart={this.props.onTouchStart}>{this.props.children}</Button>
    )
  }
}

export class ButtonList extends React.Component<IListProperties, {}> {
  public static Item = ButtonListItem;

  public render() {
    let _css = new CssClassList(css.list);
    if (this.props.indented) _css.add(css.listIndented);
    if (this.props.vertical) _css.add(css.listVertical);
    _css.add(this.props.className || '');

    return (
      <div className={_css.toString()}>
        {this.props.children}
      </div>
    )
  }
}
