import { camelize, capitalizeFirst } from '../../utilities/string';
import { CssClassList } from '../../classes/css';
import * as React from 'react';
import * as toggle from 'ride-components/dist/ts/css/input-toggle';

export interface IToggleProps {
  /**
   * if set to true, the toggle will be on
   *  default: false
   * @type {boolean}
   */
  checked?: boolean;
  /**
   * Toggle's on background colour
   *  default: 'blue'
   * @type {string}
   */
  color?: string;
  /**
   * A callback invoked when the user toggles on/off
   * @type {Function}
   */
  onChange?: any;
}

export class Toggle extends React.Component<IToggleProps, {}> {
  public render() {
    let _css = new CssClassList(toggle.inputToggle);
    _css.add(this.props.color ? toggle[camelize(toggle.inputToggle) + capitalizeFirst(this.props.color)] : toggle.inputToggleBlue);
    return (
      <label className={_css.toString()}>
        <input type="checkbox" checked={this.props.checked} onChange={this.props.onChange}/>
        <span className={toggle.inputToggle__toggle}></span>
        <span className={toggle.inputToggle__text}>{this.props.children}</span>
      </label>
    )
  }
}
