import { CssClassList } from '../../classes/css';
import { userImgWrapper } from 'ride-components/dist/ts/css/user-img-wrapper';
import * as React from 'react';
import * as userImage from 'ride-components/dist/ts/css/user-img';

export interface IUserImageProps {
  /**
   * tells the component if the image must be large or small
   */
  large?: boolean;
  /**
   * the path to the image
   * @type {string}
   */
  src: string;
}

export class UserImage extends React.Component<IUserImageProps, {}> {
  public render() {
    let _css = new CssClassList();
    _css.add(this.props.large ? userImage.userImgLarge : userImage.userImg);
    return (
      <div className={userImgWrapper}>
        <img className={_css.toString()} src={this.props.src}/> {this.props.children}
      </div>
    )
  }
}
